*    Copyright (C) 2013 Piotr Kotko
*
*    This file is part of OGIME
*
*    OGIME is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.




*-------------------------------------------------------------------------------------------------------------
*------------------------------------- global preprocessor variables -----------------------------------------
*-------------------------------------------------------------------------------------------------------------



*--- some predefined values that may be changed in user input files

*--- indicate if print intermediate output to the stdout (1=print)
#define PRINT "0"

*--- indicate if the current status should be printed (0=no,1=yes,2=print more)
#define VERBOSE "1"

*--- indicate if the FORM statistics are to be printed ("0"=no print)
#define FORMSTAT "0"

*--- indicate if the FORM should save intermediate results for recovery ("0"=no save)
#define SAVEREC "1"

*--- simplification strength for invariant simplification
*--- "none" = no simplification is made, "half" = half of the possibilities are tried
*--- "full" = all the possibilities are tried (may need some time)
#define SIMPDEPTH "full"

*--- the number of cycles of simplification
#define TOTSIMPDEPTH "1"

*--- the length of gene in momentum simplification is `NFS'*`MOMSIMPDEPTH'
#define MOMSIMPDEPTH "10"

*--- idicate wheather to use invariant simplification (might be slow)
#define USEINVSIMP "1"




