*    Copyright (C) 2013 Piotr Kotko
*
*    This file is part of OGIME
*
*    OGIME is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.




*-------------------------------------------------------------------------------------------------------------
*------------------------------------------ Yang-Mills interaction -------------------------------------------
*-------------------------------------------------------------------------------------------------------------

*--- labels internal variables to be summed later
#define LABEL "1"

*--- stores the number of q`i's (needed in "propagators.frm")
#define QLABEL ""

*=============================================================================================================
#procedure interaction
*--- expand interaction exponent in gauge fields

id [Exp(-i*S_YM)] = 1
#do k=1,`GORD'
                      +
#do l=1,`k'
                       (-i_)*SI(`LABEL')
#if `l' < `k'
                                        *
#endif
#redefine LABEL "{`LABEL'+1}"
#enddo
                           /{`k'!}
#enddo
                                             ;
#redefine QLABEL "`LABEL'"

#do k=1,`LABEL'
id SI(`k') = exp(z`k',q`k')*exp(w`k',-q`k')*(
i_*g*q`k'(alph`k')*A(z`k',bet`k',jj`k',`k')*A(w`k',alph`k',kk`k',`k')*A(w`k',bet`k',ll`k',`k')*f(jj`k',kk`k',ll`k')
             -g^2*A(w`k',alph`k',kk`k',`k')*A(w`k',bet`k',ll`k',`k')*A(w`k',alph`k',ss`k',`k')*A(w`k',bet`k',rr`k',`k')*f(jj`k',kk`k',ll`k')*f(jj`k',ss`k',rr`k')/4
);
#enddo

#endprocedure
*=============================================================================================================

